--- src/VBox/HostDrivers/Support/SUPLib.cpp.orig	2013-11-29 14:24:01.000000000 -0500
+++ src/VBox/HostDrivers/Support/SUPLib.cpp	2013-12-16 16:53:21.000000000 -0500
@@ -1719,7 +1719,7 @@
     /*
      * Symbols that are undefined by convention.
      */
-#ifdef RT_OS_SOLARIS
+#if defined(RT_OS_SOLARIS)
     static const char * const s_apszConvSyms[] =
     {
         "", "mod_getctl",
@@ -1737,6 +1737,20 @@
             return VINF_SUCCESS;
         }
     }
+#elif defined(__clang__)
+    static const char * const s_apszConvSyms[] =
+    {
+        "", "memset", // XXX Why???
+    };
+    for (unsigned i = 0; i < RT_ELEMENTS(s_apszConvSyms); i += 2)
+    {
+        if (   !RTStrCmp(s_apszConvSyms[i],     pszModule)
+            && !RTStrCmp(s_apszConvSyms[i + 1], pszSymbol))
+        {
+            *pValue = ~(uintptr_t)0;
+            return VINF_SUCCESS;
+        }
+    }
 #endif
 
     /*
